Warden API
  1. API
Warden External API
  • Warden External API
  • Auth
    • Credential Refresh
      GET
  • Booking Engine
    • Get Property Listings
      GET
    • Get Bed Availability
      POST
    • Get Room Type Listings
      GET
    • Get Plan Options for Channel and Room Types
      POST
    • Generate Plan for Channel and Room Types
      POST
    • Create Booking
      PUT
  • API
    • Get Company Details
      GET
    • Get Channels
      GET
    • Get Bookings
      GET
    • Get Residents
      GET
    • Get Payments
      GET
    • Get Transactions
      GET
  1. API

Get Transactions

GET
/api/v1/external-app/get-transactions
Last modified:2026-05-03 12:36:53
Returns a list of transactions across your properties. Transactions in Warden represent the actual movement of money — each transaction can be linked to one or more payments. Use this to reconcile collections, track payment gateway activity, and monitor the flow of funds in and out of your properties.

Query Parameters#

Pagination#

ParameterTypeDefaultDescription
pagenumber0Page number (zero-indexed)
per_pagenumber50Number of results per page (max: 10000)

Filtering#

Filters are passed via the q parameter. Multiple filters can be combined using $$ as a separator.
Syntax: q=<filterKey><operator><value>
Combining filters: q=<filter1>$$<filter2>$$<filter3>

Available Filter Keys#

Filter KeyTypeDescription
searchTextstringSearch by transaction id, linked paymentId, resident/lead name, bankReferenceNumber, or referenceNumber
idnumberFilter by exact transaction ID
propertyIdnumberFilter transactions by property
residentIdnumberFilter transactions belonging to a specific resident
beneficiaryIdnumberFilter transactions by beneficiary (used for outbound/refund transactions)
paymentIdnumberFilter transactions linked to a specific payment
statusenumFilter by transaction status (see values below)
entryenumFilter by how the transaction was entered. Allowed values: Manual, Gateway, CirclePe, Payout, Transfer
methodenumFilter by payment method (see values below)
directionenumFilter by direction of money flow. Allowed values: Incoming, Outgoing
referenceNumberstringFilter by the internal reference number of the transaction
bankReferenceNumberstringFilter by the bank-issued reference number
isReconciledbooleanFilter by whether the transaction has been reconciled (true or false)
settledAtDateTimedatetimeFilter by the date and time the transaction was settled
createdAtdatetimeFilter by record creation date
updatedAtdatetimeFilter by last updated date

status Enum Values#

ValueDescription
CreatingTransaction is being initialised
OpenTransaction is open and awaiting action
PendingTransaction is pending completion
SuccessTransaction completed successfully
FailedTransaction failed
VoidTransaction has been voided
RequestedTransaction has been requested by the resident
DeclinedResident's transaction request was declined by the admin

method Enum Values#

UPI, NEFT, IMPS, Cash, Online, Cheque, Cheque (Dated), Cheque (Undated), Debit Card, Credit Card, Wallet, Net Banking, Bank Deposit, Transfer, Unknown, TDS Receivable, POS Machine, POS Link

Operators#

OperatorMeaning
:=Exact match
~=Contains (partial match)
>=Greater than or equal
<=Less than or equal
!=Not equal

Filter Examples#

# Get all successful transactions for a property
GET /api/v1/external-app/get-transactions?q=propertyId:=412$$status:=Success

# Get all incoming transactions
GET /api/v1/external-app/get-transactions?q=direction:=Incoming

# Get unreconciled transactions
GET /api/v1/external-app/get-transactions?q=isReconciled:=false

# Filter by bank reference number
GET /api/v1/external-app/get-transactions?q=bankReferenceNumber~=TXN12345

# Get all transactions for a specific payment
GET /api/v1/external-app/get-transactions?q=paymentId:=9876

Sorting#

ParameterTypeOptionsDefault
sortstringcreatedAt, updatedAt, settledAtDateTimecreatedAt
orderstringasc, descdesc

Authentication#

This endpoint requires a valid Bearer Token in the Authorization header. Obtain one via the Credential Refresh endpoint.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Header Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://server.wardenera.com/api/v1/external-app/get-transactions' \
--header 'User-Agent: insomnia/11.4.0' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "transactions": [
        {
            "userName": "Evan Dsouza (wardenera)",
            "roomName": "G005",
            "propertyName": "Warden House HSR",
            "id": 304444,
            "status": "Failed",
            "method": null,
            "referenceNumber": null,
            "gatewayReferenceNumber": null,
            "bankReferenceNumber": null,
            "amount": 5.6,
            "serviceCharge": 0,
            "requestMessage": null,
            "entry": "Gateway",
            "gatewayData": null,
            "photos": [],
            "statusTransitions": [],
            "memo": null,
            "isReconciled": false,
            "settledAtDateTime": null,
            "bankSettledAtDateTime": null,
            "userId": 10635,
            "companyId": 11,
            "propertyId": 20,
            "residentId": 50089,
            "leadId": null,
            "subscriptionId": null,
            "beneficiaryId": 101,
            "settlementReportId": null,
            "isServiceChargeAdded": false,
            "receiptFileId": null,
            "files": [],
            "invoices": [],
            "paymentConnections": [],
            "createdById": 48046,
            "updatedById": 48046,
            "createdAt": "2025-11-05T12:15:29+05:30",
            "updatedAt": "2025-11-05T12:15:29+05:30",
            "isDeleted": false,
            "orderAmount": 5.6,
            "settlementAmount": 5.6,
            "statusKey": 4,
            "invoiceIds": [],
            "paymentIds": [],
            "settledInvoices": [],
            "settledPayments": [],
            "beneficiary": {
                "id": 101,
                "status": null,
                "name": "Arabesco NGenius Test Bank",
                "email": null,
                "phone": null,
                "address1": null,
                "address2": null,
                "city": null,
                "state": null,
                "pincode": null,
                "bankAccount": "1111",
                "branchName": "Test",
                "ifsc": "111",
                "vpa": null,
                "serviceChargePercentage": 0,
                "shouldAddServiceCharge": false,
                "companyId": 11,
                "legalEntityId": null,
                "createdById": 4,
                "updatedById": 4,
                "createdAt": "2025-08-06T13:26:27+05:30",
                "updatedAt": "2025-08-12T18:11:25+05:30",
                "credentials": {},
                "settings": [],
                "isDecrypted": false,
                "propertyIds": []
            }
        },
        {
            "userName": "Test Room Change 2",
            "roomName": "10000",
            "roomTypeName": "Twin Sharing Room",
            "propertyName": "Warden House HSR",
            "id": 263435,
            "status": "Failed",
            "method": null,
            "referenceNumber": null,
            "gatewayReferenceNumber": null,
            "bankReferenceNumber": null,
            "amount": 2,
            "serviceCharge": 0,
            "requestMessage": null,
            "entry": "Gateway",
            "gatewayData": null,
            "photos": [],
            "statusTransitions": [],
            "memo": null,
            "isReconciled": false,
            "settledAtDateTime": null,
            "bankSettledAtDateTime": null,
            "userId": 24163,
            "companyId": 11,
            "propertyId": 20,
            "residentId": null,
            "leadId": 20270,
            "subscriptionId": null,
            "beneficiaryId": 101,
            "settlementReportId": null,
            "isServiceChargeAdded": false,
            "receiptFileId": null,
            "files": [],
            "invoices": [],
            "paymentConnections": [],
            "createdById": 76334,
            "updatedById": 76334,
            "createdAt": "2025-08-12T18:11:18+05:30",
            "updatedAt": "2025-08-12T18:11:18+05:30",
            "isDeleted": false,
            "orderAmount": 2,
            "settlementAmount": 2,
            "statusKey": 4,
            "invoiceIds": [],
            "paymentIds": [],
            "settledInvoices": [],
            "settledPayments": [],
            "beneficiary": {
                "id": 101,
                "status": null,
                "name": "Arabesco NGenius Test Bank",
                "email": null,
                "phone": null,
                "address1": null,
                "address2": null,
                "city": null,
                "state": null,
                "pincode": null,
                "bankAccount": "1111",
                "branchName": "Test",
                "ifsc": "111",
                "vpa": null,
                "serviceChargePercentage": 0,
                "shouldAddServiceCharge": false,
                "companyId": 11,
                "legalEntityId": null,
                "createdById": 4,
                "updatedById": 4,
                "createdA
Modified at 2026-05-03 12:36:53
Previous
Get Payments
Built with